/* SPDX-License-Identifier: Apache-2.0 */
/* Copyright Contributors to the ODPi Egeria project. */
package org.odpi.egeria.connectors.ibm.ia.clientlibrary.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class CannotExecuteTaskSequence extends Error {

    @JacksonXmlProperty(isAttribute = true) private String taskSequenceName;
    @JacksonXmlProperty(localName = "Cause")
    private ErrorList cause;

    public String getTaskSequenceName() { return taskSequenceName; }
    public void setTaskSequenceName(String taskSequenceName) { this.taskSequenceName = taskSequenceName; }

    public ErrorList getCause() { return cause; }
    public void setCause(ErrorList cause) { this.cause = cause; }

    @Override
    public String toString() {
        String parent = super.toString();
        return parent.substring(0, parent.length() - 2)
                + ", \"taskSequenceName\": \"" + taskSequenceName
                + "\", \"Cause\": " + (cause == null ? "{}" : cause.toString())
                + " }";
    }

}
